#
# spec file for package gftp (Version 2.0.16)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gtk2-devel-packages readline-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libtool pango pango-devel perl pkgconfig readline-devel rpm update-desktop-files

Name:         gftp
License:      GPL
Group:        Productivity/Networking/Ftp/Clients
Autoreqprov:  on
Version:      2.0.16
Release:      45.6
Source0:      gftp-%{version}.tar.bz2
URL:          http://gftp.seul.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Multithreaded FTP client for X11
Patch:        gftp-2.0.16-64bit-fixes.patch
Patch1:       gftp-path.patch
Patch2:       gftp-path-backport.patch

%description
GFTP is a multithreaded FTP client for X11 written using Gtk. It has
some of the following features: simultaneous downloads, resuming of
interrupted file transfers, file transfer queues, downloading of entire
directories, ftp proxy support, remote directory caching, passive and
non-passive file transfers, drag-n-drop support, a very nice connection
manager and many more features.



Authors:
--------
    Brian Masney <masneyb@newwave.net>

%prep
%setup
%patch -p1 
%patch1
%patch2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=/opt/gnome --mandir=/opt/gnome/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/opt/gnome/share/gftp/COPYING
gzip -9nf $RPM_BUILD_ROOT/opt/gnome/share/man/man?/*.?
%suse_update_desktop_file %name FileTransfer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README THANKS TODO
/opt/gnome/share/gftp
/opt/gnome/bin/*
%doc /opt/gnome/share/man/man*/*
/opt/gnome/share/gnome/apps/Internet/gftp.desktop
/opt/gnome/share/locale/*/LC_MESSAGES/*.mo
/opt/gnome/share/pixmaps/*.png

%changelog -n gftp
* Thu Jan 20 2005 - sbrabec@suse.cz
- Fixed download path directory traversal bug (7a69Adv#17, #49572).
* Tue Jun 22 2004 - hhetter@suse.de
- apply 64bit patches from CVS, make it work on x86_64
  [Bug Id #42338]
* Tue Mar 16 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Thu Feb 05 2004 - sbrabec@suse.cz
- Updated to version 2.0.16.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Sun Sep 07 2003 - adrian@suse.de
- add Categories
* Mon Aug 25 2003 - sbrabec@suse.cz
- Updated to version 2.0.15.
* Thu Aug 07 2003 - sbrabec@suse.cz
- Updated to version 2.0.15rc1.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Feb 10 2003 - sbrabec@suse.cz
- Install fix - added missing RPM_BUILD_ROOT.
* Mon Feb 10 2003 - sbrabec@suse.cz
- Use GTK2 interface.
* Tue Dec 10 2002 - sbrabec@suse.cz
- Updated to version 2.0.14.
- Added buildroot install.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 23 2002 - uli@suse.de
- update -> 2.0.13 (improvements to the text port, ability to parse
  Cray FTP directory listings, many fixes, improved user interface)
* Mon Jun 10 2002 - uli@suse.de
- update -> 2.0.12 (fixed several memory leaks, HTTP proxy fixups,
  fixed bug with throttling of connections not working in some cases,
  fixed wrong time remaining for interrupted transfers, added option
  to only show selected files, cleanups to cache, fixed crash in
  view file, fixed crash in toolbar, updates to Compare Windows
  feature, password is no longer shown in the log window for HTTP
  protocol)
* Tue Apr 23 2002 - uli@suse.de
- update -> 2.0.11 (fixes bug #14271)
* Fri Dec 07 2001 - uli@suse.de
- update -> 2.0.9
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - uli@suse.de
- update -> 2.0.8 (secfix)
* Thu Mar 08 2001 - uli@suse.de
- fixed filelist
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Sep 04 2000 - hhetter@suse.de
- removed requires : gncore
- added neededforbuild: gncore
* Fri Sep 01 2000 - hhetter@suse.de
- set %%prefix in specfile to /opt/gnome
- update to version 2.0.7b
- added requires : gncore
* Mon Jun 05 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Tue Dec 14 1999 - uli@suse.de
- New version 2.0.6
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 08 1999 - uli@suse.de
- New version 2.0.3
* Thu Jun 24 1999 - uli@suse.de
- Spec file created from gftp-2.0.1.tar.gz by autospec
